Public Member Functions | Public Attributes | Friends | List of all members
RagTime5StructManager::TabStop Struct Reference

a tabulation in RagTime 5/6 structures More...

`#include <RagTime5StructManager.hxx>`

## Public Member Functions
| TabStop ()
| constructor More...

## Public Attributes
float | m_position
| the position More...
int | m_type
| the type More...
uint16_t | m_leaderChar
| the unicode leader char More...

## Friends
std::ostream & | operator<< (std::ostream &o, TabStop const &tab)
| operator<< More...

## Detailed Description

a tabulation in RagTime 5/6 structures

## Constructor & Destructor Documentation

## ◆ TabStop()

RagTime5StructManager::TabStop::TabStop | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | TabStop const & | tab
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_leaderChar

uint16_t RagTime5StructManager::TabStop::m_leaderChar

the unicode leader char

Referenced by RagTime5StructManager::readField(), and RagTime5StyleManager::updateTextStyles().

## ◆ m_position

float RagTime5StructManager::TabStop::m_position

the position

Referenced by RagTime5StructManager::readField(), and RagTime5StyleManager::updateTextStyles().

## ◆ m_type

int RagTime5StructManager::TabStop::m_type

the type

Referenced by RagTime5StructManager::readField(), and RagTime5StyleManager::updateTextStyles().

The documentation for this struct was generated from the following file:

- RagTime5StructManager.hxx